jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader              = $('#loader');
    var loader_container    = $('#preloader');
    var scroll              = $(window).scrollTop();  
    var scrollup            = $('.backtotop');
    var menu_toggle         = $('.menu-toggle');
    var dropdown_toggle     = $('.dropdown-toggle');
    var nav_menu            = $('.main-navigation');
    var instagam_slider     = $('.instagram-posts-slider');
    var project_slider      = $('.project-slider');
    var topheader_dropdown = $('.topheader-dropdown');
    var wrapper = $('#top-bar .wrapper');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
            BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"25px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
            MAIN NAVIGATION
------------------------------------------------*/

    if( $(window).width() < 1023 ) {
        $('.topheader-dropdown').click(function() {
        $(this).toggleClass('active');
        $('#top-bar .wrapper').slideToggle();
    });

    }

    menu_toggle.click(function(){
        nav_menu.slideToggle();
        $(this).toggleClass('active');
        $('.menu-overlay').toggleClass('active');
        $('.main-navigation').toggleClass('menu-open');
        $('body').toggleClass('main-navigation-active');
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            $('.menu-sticky #masthead').addClass('nav-shrink');
        }
        else {
            $('.menu-sticky #masthead').removeClass('nav-shrink');
        }
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
       $(this).parent().find('.sub-menu').first().slideToggle();
       $('#primary-menu > li:last-child button.active').unbind('keydown');
    });

/*------------------------------------------------
            Sliders
------------------------------------------------*/

instagam_slider.slick({
    responsive: [
    {
    breakpoint: 1200,
        settings: {
            slidesToShow: 3,
            slidesToScroll: 3,
            arrows: false
        }
    },
    {
        breakpoint: 992,
            settings: {
            slidesToShow: 2,
            slidesToScroll: 2,
            arrows: false
        }
    },
    {
        breakpoint: 567,
            settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false
        }
    }
    ]
});

project_slider.slick({
    responsive: [
    {
    breakpoint: 1200,
        settings: {
            slidesToShow: 3,
            arrows: false
        }
    },
    {
        breakpoint: 992,
            settings: {
            slidesToShow: 2,
            arrows: false
        }
    },
    {
        breakpoint: 567,
            settings: {
            slidesToShow: 1,
            arrows: false
        }
    }
    ]
});

$('#business-slider').slick();

/*------------------------------------------------
                Match Height
------------------------------------------------*/

$('.instagram-post-item .entry-header').matchHeight();
$('.blog-post-item').matchHeight();

/*------------------------------------------------
                Slick Filter
------------------------------------------------*/

$('.slick-filter li a').click( function(e) {
    e.preventDefault();
    
    var currentCategory = '.' + $(this).data('slug');
    $('.project-slider').slick('slickUnfilter');
    $('.project-slider').slick('slickFilter', currentCategory);
});


/*--------------------------------------------------------------
 Keyboard Navigation
----------------------------------------------------------------*/

 if( $(window).width() < 1260 ) {
            $('#top-bar .contact-info').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#top-bar').find('button.topheader-dropdown').focus();
                }
            });
        }
        else {
            $( '#top-bar .contact-info li:last-child' ).unbind('keydown');
        }

        $(window).resize(function() {
            if( $(window).width() < 1260 ) {
                $('#top-bar .contact-info').find("li").last().bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#top-bar').find('.button.topheader-dropdown').focus();
                    }
                });
            }
            else {
                $( '#top-bar .contact-info li:last-child' ).unbind('keydown');
            }
        });
if( $(window).width() < 1024 ) {
    $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
        if( e.which === 9 ) {
            e.preventDefault();
            $('#masthead').find('.menu-toggle').focus();
        }
    });

    $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
        if( e.which === 9 ) {
            e.preventDefault();
            $('#masthead').find('.menu-toggle').focus();
        }
    });
}
else {
    $('#primary-menu').find("li").unbind('keydown');
}

$(window).resize(function() {
    if( $(window).width() < 1024 ) {
        $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });

        $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });
    }
    else {
        $('#primary-menu').find("li").unbind('keydown');
    }
});

menu_toggle.on('keydown', function (e) {
    tabKey = e.keyCode === 9;
    shiftKey = e.shiftKey;

    if( menu_toggle.hasClass('active') ) {
        if ( shiftKey && tabKey ) {
            e.preventDefault();
            nav_menu.slideUp();
            $('.main-navigation').removeClass('menu-open');
            $('.menu-overlay').removeClass('active');
            menu_toggle.removeClass('active');
        };
    }
});


    topheader_dropdown.on('keydown', function (e) {
        var tabKey    = e.keyCode === 9;
        var shiftKey  = e.shiftKey;

        if( topheader_dropdown.hasClass('active') ) {
            if ( shiftKey && tabKey ) {
                e.preventDefault();
                wrapper.slideUp();
                $('.main-navigation').removeClass('menu-open');
                $('.menu-overlay').removeClass('active');
                topheader_dropdown.removeClass('active');
            };
        }
    });


/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});